Bug 502980 - anaconda doesn't mount /mnt/sysimage/dev/pts
anaconda doesn't mount /mnt/sysimage/dev/pts
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 01:41 EDT by Jonathan Kamens
Modified: 2013-03-08 14:46 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-08 14:46:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2009-05-28 01:41:57 EDT
When anaconda sets up /mnt/sysimage before installing RPMs, it doesn't mount devpts on /mnt/sysimage/dev/pts, so programs like expect that require pty's can't be used in RPM scripts.  It should do the mount.
Comment 1 Chris Lumens 2009-07-16 11:59:48 EDT
I believe this should be fixed in F11, which means it'll be fixed in RHEL6 as well.  If you require this fix in an update release of RHEL5, please talk to your support representative who will raise this through the appropriate channels so we can get a fix scheduled.

Note You need to log in before you can comment on or make changes to this bug.